import Taro from "@tarojs/taro";
import store, { Provider, getState } from "@/store";
import "./app.less";
import { useEffect, useMemo } from "react";
// import wxsdk from "./utils/wx";
import '@antmjs/vantui/lib/index.less'
// import '@antmjs/vantui/lib/index.css'

const App = (props) => {

  const init = async () => {
    console.log(11111111111)
    const userState = store.getState("user");
    // 等待组件挂载完成
    await Promise.resolve();

    // 然后执行异步操作
    await userState.login(123);
    await userState.current();
  };
 

  useEffect(() => {
    init()
  }, []);

  return <Provider>{props.children}</Provider>;
};

export default App;
